## z8530drv-utils 3.0-2

=== Makefile ===
VERSION = 3.0-2
DIRECTORY = z8530drv-utils
KERNEL  = `cat /proc/version | cut -d" " -f3`
CCOPT   = -O2 -m486 -Wall -Wstrict-prototypes # -DCONFIG_SCC_STANDALONE
CC	= gcc

all: utils

utils: sccparam sccstat sccinit sccgencfg kissbridge

sccparam: sccparam.c
	${CC} ${CCOPT} sccparam.c -o $@

sccstat: sccstat.c
	${CC} ${CCOPT} sccstat.c -o $@

sccinit: sccinit.c
	${CC} ${CCOPT} sccinit.c -o $@

sccgencfg: sccgencfg.c
	${CC} ${CCOPT} sccgencfg.c -o $@

kissbridge: kissbridge.c
	${CC} ${CCOPT} kissbridge.c -o $@

install:
	install -g root -o root -m 0755 sccstat ${prefix}/sbin/sccstat
	install -g root -o root -m 0700 sccinit ${prefix}/sbin/sccinit
	install -g root -o root -m 0700 sccparam ${prefix}/sbin/sccparam
	install -g root -o root -m 0755 sccgencfg ${prefix}/usr/sbin/sccgencfg 
	install -g root -o root -m 0700 kissbridge ${prefix}/usr/sbin/kissbridge
	if [ -f ${prefix}/etc/ax25/z8530drv.conf ] ; then \
		install -g root -o root -m 0644 z8530drv.conf ${prefix}/etc/ax25/z8530drv.conf.ex ; \
	else \
		install -g root -o root -m 0644 z8530drv.conf ${prefix}/etc/ax25/z8530drv.conf ; \
	fi

clean:
	rm -f *.o *~ doc/*~

distclean: clean
	rm -f sccinit sccparam sccstat sccgencfg kissbridge

distrib:
	( cd .. && tar zcvvf z8530drv-utils-${VERSION}.tar.gz \
	z8530drv-utils/README z8530drv-utils/Makefile \
	z8530drv-utils/doc z8530drv-utils/*.c z8530drv-utils/*.h \
	z8530drv-utils/sccinit z8530drv-utils/sccparam z8530drv-utils/sccstat \
	z8530drv-utils/sccgencfg z8530drv-utils/kissbridge \
	z8530drv-utils/z8530drv.conf z8530drv-utils/*.lsm)

lharc:
	( cd .. && lharc a z8530drv-utils-${VERSION}.lzh \
	z8530drv-utils/README z8530drv-utils/Makefile \
	z8530drv-utils/doc z8530drv-utils/*.c z8530drv-utils/*.h \
	z8530drv-utils/sccinit z8530drv-utils/sccparam z8530drv-utils/sccstat \
	z8530drv-utils/sccgencfg z8530drv-utils/kissbridge \
	z8530drv-utils/z8530drv.conf z8530drv-utils/*.lsm)

dep:
	${CC} ${CCOPT} -M sccstat.c sccinit.c sccparam.c kissbridge.c sccgencfg.c >.depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif
