=== debian/changelog ===
z8530drv-utils (3.0-2) unstable; urgency=low

  * Initial Release.

 -- Joerg Reuter <jreuter@poboxes.com>  Sat, 15 Aug 1998 14:50:00 +0200
