=== debian/control ===
Source: z8530drv-utils
Section: hamradio
Priority: extra
Maintainer: Joerg Reuter <jreuter@poboxes.com>
Standards-Version: 2.4.0.1

Package: z8530drv-utils
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ax25-utils
Description: Utilities to initialize the Z8530 AX.25 network driver
 These utilities are needed to initialize z8530drv, the AX.25 network
 driver for Z8530 based HDLC cards. This version only works with
 z8530drv-3.0 included in Linux kernels from 2.1.6 on.
